eslint-plugin-react versions and peer dependencies

The table below has a list of all versions of eslint-plugin-react compatible peers dependencies.

Version Peer Dependency Versions
7.20.0 - 7.22.0
  • eslint @ ^3 || ^4 || ^5 || ^6 || ^7
7.14.0 - 7.19.0
  • eslint @ ^3.0.0 || ^4.0.0 || ^5.0.0 || ^6.0.0
7.10.0 - 7.13.0
  • eslint @ ^3.0.0 || ^4.0.0 || ^5.0.0
7.1.0 - 7.9.1
  • eslint @ ^3.0.0 || ^4.0.0
7.0.0 - 7.0.1
  • eslint @ ^3.0.0
6.0.0 - 6.10.3
  • eslint @ ^2.0.0 || ^3.0.0
3.0.0 - 3.2.1
  • eslint @ >=0.8.0 || ~1.0.0-rc-0
2.7.1
  • eslint @ >=0.8.0
2.1.1 - 2.7.0
  • eslint @ >=0.8.0